#56 Standard Fonts Not Always Found

closed-out-of-date
Any
5
2017-04-02
2010-09-18
No

There is a problem with some Linux installs where the standard serif and sans-serif fonts are not found, resulting in a dialog pop-up for the user to manually select them. On some platforms the font is still found and once selected, this no longer appears. On other platforms, even when the font is installed, it is not found, not selectable in the dialog drop-down, and results in corrupted drawing fonts being shown when working on or loading a drawing.

Related

Bugs: #56

Discussion

  • Daniel E. Markle

    Has anyone seen this in current versions of either xtrkcad or Linux? I have not seen this error in the 4.2 versions, either due to running updated Linux distros or the bug being fixed already (not sure which).

     
    • Martin Fischer

      Martin Fischer - 2015-11-09

      Daniel,

      did you try on a pristine installation?

      Once all graphics output (to screen and to printer) will be based on Cairo,
      the problem should definitely be gone. I'm working on the printer code and
      hope to have it finished in a few weeks.

      Regards
      Martin

      -----Original-Nachricht-----
      Betreff: [xtrkcad-fork:bugs] #56 Standard Fonts Not Always Found
      Datum: 2015-11-09T04:06:15+0100
      Von: "Daniel E. Markle" lexicon@users.sf.net
      An: "[xtrkcad-fork:bugs]" 56@bugs.xtrkcad-fork.p.re.sf.net

      Has anyone seen this in current versions of either xtrkcad or Linux? I have
      not seen this error in the 4.2 versions, either due to running updated
      Linux distros or the bug being fixed already (not sure which).


      [bugs:#56] http://sourceforge.net/p/xtrkcad-fork/bugs/56/ Standard Fonts
      Not Always Found
      Status: open
      Labels: User Interface
      Created: Sat Sep 18, 2010 12:49 PM UTC by Daniel E. Markle
      Last Updated: Wed Jun 10, 2015 07:03 PM UTC
      Owner: Daniel E. Markle
      There is a problem with some Linux installs where the standard serif and
      sans-serif fonts are not found, resulting in a dialog pop-up for the user
      to manually select them. On some platforms the font is still found and once
      selected, this no longer appears. On other platforms, even when the font is
      installed, it is not found, not selectable in the dialog drop-down, and
      results in corrupted drawing fonts being shown when working on or loading a
      drawing.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/xtrkcad-fork/bugs/56/
      https://sourceforge.net/p/xtrkcad-fork/bugs/56/
      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/
      https://sourceforge.net/auth/subscriptions/

      Profitieren Sie von der sicheren E-Mail-Übertragung Ihrer Daten mit einer kostenlosen E-Mail-Adresse der Telekom. www.t-online.de/email-kostenlos
       

      Related

      Bugs: #56

  • Martin Fischer

    Martin Fischer - 2017-04-02
    • status: open --> closed-out-of-date
    • Operating System: --> Any
     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks